// Module    : $RCSfile: Sequence.java,v $
// Version   : $Revision: 0.0 $  $Author: patrick $  $Date: 19.02.2012 $
// Project   : TaskTreeCreator
// Creation  : 2012 by patrick
// Copyright : Patrick Harms, 2012

package de.ugoe.cs.quest.tasktrees.treeimpl;

import de.ugoe.cs.quest.tasktrees.treeifc.ISequence;

/**
 * TODO comment
 * 
 * @version $Revision: $ $Date: 19.02.2012$
 * @author 2012, last modified by $Author: patrick$
 */
public class Sequence extends TaskTreeNode implements ISequence {
    
    /**
     * TODO: comment
     * 
     * @param name
     */
    Sequence() {
        super("Sequence");
    }

    /**
     * TODO: comment
     * 
     * @param name
     */
    Sequence(String name) {
        super(name);
    }

    /*
     * (non-Javadoc)
     * 
     * @see de.ugoe.cs.tasktree.treeimpl.TaskTreeNodeImpl#clone()
     */
    @Override
    public Sequence clone() {
        return (Sequence) super.clone();
    }

}
